Subject: Re: [PATCH] net: change return values in mac_pton() function

From: "Arend van Spriel" <[email-masked]>
Date: Wed, 13 Jul 2011 13:21:46 +0200

On 07/13/2011 01:12 PM, David Miller wrote:
> From: Alexey Dobriyan<[email-masked]>
> Date: Wed, 13 Jul 2011 13:09:03 +0300
>
>> On Wed, Jul 13, 2011 at 12:30 PM, Arend van Spriel<[email-masked]>  wrote:
>>> The original commit adding this function noted a diverge from usual
>>> 0=success/-E=fail, but no motivation for it.
>> I thought it was obvious, but indeed wasn't explicitely
>> mentioned in changelog. But see inet_pton(3).
> Agreed it's better for mac_pton() to be consistent with existing,
> similar, interfaces like inet_pton.

I just liked the general approach of zero indicating success. But even 
in the realm called Linux not everything can be black and white, I guess :-D

Please drop the patch.

Gr. AvS

-- 
Almost nobody dances sober, unless they happen to be insane.
-- H.P. Lovecraft --